Skip to main content
GET
Translate a segment

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

source
string

The source string to translate.

memory_id
integer
required

A unique Memory identifier.

source_hash
integer

A source hash code.

n
integer

Return top n translations (deprecated).

prefix
string

A target prefix.

rich
boolean
default:false

Returns rich translation information (e.g., with word alignments).

tm_matches
boolean
default:true

Include translation memory fuzzy matches.

project_tags
boolean
default:false

Project tags. Projects tags in source to target if set to true.

contains_icu_data
boolean
default:false

Contains ICU data. If true then tags in the source following the ICU standard will be parsed and retained.

Response

A TranslationList object.

An ranked list of translations and associated metadata.

untokenizedSource
string

The untokenized source segment. Punctuation has not been separated from words.

Example:

"Authentication not required."

tokenizedSource
string

The tokenized source segment. Punctuation has been separated from words.

Example:

"Authentication not required ."

sourceDelimiters
string[]

A format string that indicates, for each word, if the word should be preceded by a space.

Example:
translation
object[]

A list of Translation objects.